(function()
{
	// Envio para o PHP
	var _conn   = new JITConnector('jabberit_messenger/');
	var _xtools = new JITXTools('jabberit_messenger/');	

	function addLdapAttributes(pDocument)
	{
		var form = pDocument.forms[0];
		var values = "";

		for(var i = 0; i < form.elements.length; i++)
		{
			if( form.elements[i].id == 'attributes_ldap_list_jabberit')
			{
				if( form.elements[i].value == -1)
				{
					alert('Defina um atributo !');
					return;
				}
				values += form.elements[i].value;
				form.elements[i].options[0].selected = true;
			}				

			if( form.elements[i].id == 'organization_ldap_jabberit')
			{
				values += form.elements[i].value + ";";
				form.elements[i].value = '';
			}
			
		}
	
		_conn.go("$this.db_im.setAttributesLdap",
				function(data)
				{
					if ( data )
					{
						var _params = {
							'lang1': jabberitGetLang('Organization'),
							'lang2': jabberitGetLang('Attribute'),
							'lang3': jabberitGetLang('Delete')
						};
		
						var Table = document.getElementById('tableHiddenJabberit');
							Table.innerHTML = _xtools.parse( data, 'tableOrganizations.xsl', _params);
					}
				},
				"conf=" + values);
	}
	
	function getInputs(pDocument)
	{
		var form = pDocument.forms[0];
		var values = "";
		var field_blank = false;

		for( var i = 0 ; i < form.elements.length; i++ )	
		{
		
			switch(form.elements[i].type)
			{
				case "text" :
							if ( form.elements[i].value != "" )
							{
								values += form.elements[i].id.toUpperCase() + ";" + escape(form.elements[i].value) + "\n";
								document.getElementById(form.elements[i].id + "__label").style.color = "black";
							}						
							else
								if( form.elements[i].id.toUpperCase() != "JETTI_GROUP_CHAT_SERVER_JABBERIT")
								{
									document.getElementById(form.elements[i].id + "__label").style.color = "red";
									field_blank = true;
								}
							break;

				case "password"	:
							if ( form.elements[i].value == "" )
							{
								document.getElementById(form.elements[i].id + "__label").style.color = "red";
								field_blank = true;
							}
							else
							{
								values += form.elements[i].id.toUpperCase() + ";" + escape(form.elements[i].value) + "\n";
								document.getElementById(form.elements[i].id + "__label").style.color = "black";
							}
							break;
			}
		}

		if(!field_blank)
		{
			values = values.substring(0,(values.length - 1 ));
			_conn.go("$this.FileDefine.getParams","val=" + values);
			return true;
		}
		else
		{
			alert('Preencha os campos em vermelho !');
			return false;
		}
	}

	function sendf()
	{
		var doc = ( arguments.length == 1) ? arguments[0] : false;
		var form = doc.forms[0];
		var flag = false;
		
		for( var i = 0; i < form.elements.length; i++ )
		{
			if( form.elements[i].type == 'hidden' )
				flag = true;
		
		}
	
		if( flag )
			addLdapAttributes(doc);	
		else
			if( doc )
				return getInputs(doc);
	}

	function removeOrgLdapAttributes()
	{
		if( arguments.length > 0 )
		{
			var element = document.getElementById(arguments[0]);
			var org = arguments[0];
			
			_conn.go("$this.db_im.removeAttributesLdap",
					function(data)
					{
						if( data )
							element.parentNode.removeChild(element);
					},
					"org=" + org);
		}
	}

	function constructScript(){}

	constructScript.prototype.removeOrg = removeOrgLdapAttributes;
	constructScript.prototype.sendf = sendf;
	window.constructScript = new constructScript;
}
)();
